Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GreaterFilter Class Reference

`#include <coherence/util/filter/GreaterFilter.hpp>`

Inherits ComparisonFilter, and IndexAwareFilter.

List of all members.

## Detailed Description

Filter which compares the result of a method invocation with a value for "Greater" condition.

In a case when either result of a method invocation or a value to compare are equal to null, the `evaluate` test yields `false`. This approach is equivalent to the way the NULL values are handled by SQL.

Author:
  djl 2008.03.06

## Public Types
typedef spec::Handle | Handle
| GreaterFilter Handle definition.
typedef spec::View | View
| GreaterFilter View definition.
typedef spec::Holder | Holder
| GreaterFilter Holder definition.
## Public Member Functions
virtual size32_t | calculateEffectiveness (Map::View vMapIndexes, Set::View vSetKeys) const
  | Given a Map of available indexes, determine if this IndexAwareFilter can use any of the indexes to assist in its processing, and if so, determine how effective the use of that index would be. The returned value is an effectiveness estimate of how well this filter can use the specified indexes to filter the specified keys. An operation that requires no more than a single access to the index content (i.e. Equals, NotEquals) has an effectiveness of one. Evaluation of a single entry is assumed to have an effectiveness that depends on the index implementation and is usually measured as a constant number of the single operations. This number is referred to as evaluation cost. If the effectiveness of a filter evaluates to a number larger than the `keySet.size() * <evaluation cost>` then a user could avoid using the index and iterate through the keySet calling `evaluate` rather then `applyIndex`. Parameters:
  | vMapIndexes | the available MapIndex objects keyed by the related ValueExtractor; read-only
  | vSetKeys | the set of keys that will be filtered; read-only
Returns: an effectiveness estimate of how well this filter can use the specified indexes to filter the specified keys
virtual Filter::View | applyIndex (Map::View vMapIndexes, Set::Handle hSetKeys) const
  | Filter remaining keys using a Map of available indexes. The filter is responsible for removing all keys from the passed set of keys that the applicable indexes can prove should be filtered. If the filter does not fully evaluate the remaining keys using just the index information, it must return a filter (which may be an EntryFilter) that can complete the task using an iterating implementation. If, on the other hand, the filter does fully evaluate the remaining keys using just the index information, then it should return NULL to indicate that no further filtering is necessary. Parameters:
  | vMapIndexes | the available MapIndex objects keyed by the related ValueExtractor; read-only
  | hSetKeys | the mutable set of keys that remain to be filtered
Returns: a Filter object (which may be an EntryFilter) that can be used to process the remaining keys, or NULL if no additional filter processing is necessary
## Protected Member Functions
| GreaterFilter ()
| Default constructor (necessary for the PortableObject interface).
| GreaterFilter (ValueExtractor::View vValueExtractor, Comparable::View vComparable)
| Construct a GreaterFilter for testing "Greater" condition.
virtual bool | evaluateExtracted (Object::View vExtracted) const
  | Evaluate the specified extracted value. Parameters:
  | vExtracted | an extracted value to evaluate

## Constructor & Destructor Documentation

GreaterFilter | ( | ValueExtractor::View | vValueExtractor,
|  | Comparable::View | vComparable |
| ) |  |  | `[protected]`

Construct a GreaterFilter for testing "Greater" condition.

Parameters:

  | vValueExtractor | the ValueExtractor to use by this filter
  | vComparable | the object to compare the result with

The documentation for this class was generated from the following file:

- coherence/util/filter/GreaterFilter.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.